Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Jun 2025 23:02:53 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 15 Jun 2025 14:03:16 -0400
> 
> > It seems this feature was originally known as "immediate quit".
> > At some point the immediate_quit variable itself was removed, but the
> > term seems appropriate regardless.  So I suggest that's how we
> > call it.
> 
> Hmm... I thought the `immediate_quit` variable was used for yet another
> notion of "immediate quit".  Maybe I'm confused.

It was used for interrupting potentially long operations.  The
mechanism had some subtle problems, so it was removed, but as result
we lost some of the abilities to break out of prolonged operations.